#include<iostream>
#include<conio.h>
using namespace std;
class MinGhadrClass
{
	private :
		double x[15];
		int i;
		double GetSum()
		{
			double Sum=0;
			for(i=0; i < 15; i++)
				Sum += x[i];
			return Sum;
		}
	public :
		void SetIntArray() 
		{
			for(i=0; i < 15; i++)
				cin >> x[i];
		}
		double Process()
		{
			double Dev1 = 0, tmpSum;
			tmpSum = GetSum();
			for(i=0; i < 15; i++)
			{
		
				//mohasebe miyangin aedad : Sum / 15
				//mohasebe ghadr motlagh
				//mohasebe sigma
				if((x[i] - (tmpSum / 15)) < 0)
					Dev1 += -1 * (x[i] - (tmpSum / 15));
				else
					Dev1 += x[i] - (tmpSum / 15);
			}
			return Dev1 / 15;
		}
};

int main()
{
	MinGhadrClass A;
	//daryaft va mohasebe jame aedad
	cout << "tedade 15 adad vared konid : ";
	A.SetIntArray()	;
	//mohasebe enheraf va namayesh
	cout << "Natije = " << A.Process() << endl;
	getch();
}

